package de.halbekunst.cachecontrol.examples.jsp;

import de.halbekunst.juplo.test.HttpTestCase;
import com.meterware.httpunit.WebResponse;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 *
 * @author kai
 */
public class JspTest extends HttpTestCase {

  private static final Logger log = LoggerFactory.getLogger(JspTest.class);


  public JspTest() {
    super("src/main/webapp/WEB-INF/web.xml");
  }


  @Test
  public void testSimplePage() throws Exception {
    WebResponse response = executeRequest("http://localhost:8080/index.jsp");
    log.info("Title:\t\t{}", response.getTitle());
    log.debug("Text:\t\t{}", response.getText());
  }

  @Test
  public void testPageWithInclude() throws Exception {
    WebResponse response = executeRequest("http://localhost:8080/page-with-include.jsp");
    log.info("Title:\t\t{}", response.getTitle());
    log.debug("Text:\t\t{}", response.getText());
  }

  @Test
  public void testPageWithForward() throws Exception {
    WebResponse response = executeRequest("http://localhost:8080/page-with-forward.jsp");
    log.info("Title:\t\t{}", response.getTitle());
    log.debug("Text:\t\t{}", response.getText());
  }
}
